View Issue Details

IDProjectCategoryView StatusLast Update
0001699XdebugProfilingpublic2019-10-31 10:44
ReporterLobzek Assigned Toderick  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Version2.8.0beta1 
Fixed in Version2.8.0 
Summary0001699: Crash during debugging Phalcon project
DescriptionDuring debugging my project that uses Phalcon framework, in step-by-step mode once any Phalcon's function/class initiated the Xdebug stop working (actually the whole Apache process crashes).

That doesn't happens when debugging pure PHP project.

Checked on different IDEs: Netbeans 11 & PhpStrom 2019.2
Checked with different PHP versions: 7.3 & 7.2
Checked with different Xdebug versions: 2.7.2 & 2.8.0-beta1
Checked with different Phalcon versions: 3.4.4 & 3.2.2
Steps To ReproduceRun step-by-step debugging of following test script:

$test = 5;
$config = new \Phalcon\Config(['test' => 45]); // <--- After that line debugger stop working
$yyy = $config->get('test');
Additional InformationFirst I saw the crash in Apache error log:

[mpm_winnt:notice] [pid 11116:tid 720] AH00428: Parent: child process 10172 exited with status 3221225477 -- Restarting.

After that I checked windows event viewer and found following information:

Application Error:
Faulting application name: httpd.exe, version: 2.4.39.0, time stamp: 0x5cee4f90
Faulting module name: php_xdebug.dll, version: 2.8.0.3, time stamp: 0x5d39da6b
Exception code: 0xc0000005
Fault offset: 0x000000000002a59e
Faulting process id: 0x27bc
Faulting application start time: 0x01d55a810f670989
Faulting application path: C:\xampp\apache\bin\httpd.exe
Faulting module path: C:\xampp\php\ext\php_xdebug.dll
Report Id: 6d3d0f47-e119-4f9d-b1fb-2c3c96cd4753
Faulting package full name:
Faulting package-relative application ID:

And here the windows crash report:

Fault bucket 1758042406467703038, type 4
Event Name: APPCRASH
Response: Not available
Cab Id: 0

Problem signature:
P1: httpd.exe
P2: 2.4.39.0
P3: 5cee4f90
P4: php_xdebug.dll
P5: 2.8.0.3
P6: 5d39da6b
P7: c0000005
P8: 000000000002a59e
P9:
P10:

Analysis symbol:
Rechecking for solution: 0
Report Id: 6d3d0f47-e119-4f9d-b1fb-2c3c96cd4753
Report Status: 268435456
Hashed bucket: 664f7f3c97ed31187865d241119490fe
Cab Guid: 0

Windows report file attached to the issue.
Tagsphalcon
Operating SystemWindows 10
PHP Version7.3.5-7.3.9

Activities

Lobzek

2019-08-24 14:08

reporter  

Report.wer (19,284 bytes)   
��Version=1

EventType=APPCRASH

EventTime=132111275070012907

ReportType=2

Consent=1

UploadTime=132111275074082519

ReportStatus=268435456

ReportIdentifier=03a93c14-c540-4ec8-b8a9-dce8c135e0b5

IntegratorReportIdentifier=6d3d0f47-e119-4f9d-b1fb-2c3c96cd4753

Wow64Host=34404

NsAppName=httpd.exe

OriginalFilename=httpd.exe

AppSessionGuid=000027bc-0001-0005-8909-670f815ad501

TargetAppId=W:0006a88a4f2f4850c1d40979f587a0fa637800000904!0000296e8da941cce764911f53d24f85048afbeef89a!httpd.exe

TargetAppVer=2019//05//29:09:23:28!158d7!httpd.exe

BootId=4294967295

ServiceSplit=4037144881

TargetAsId=1706

IsFatal=1

EtwNonCollectReason=1

Response.BucketId=664f7f3c97ed31187865d241119490fe

Response.BucketTable=4

Response.LegacyBucketId=1758042406467703038

Response.type=4

Sig[0].Name=Application Name

Sig[0].Value=httpd.exe

Sig[1].Name=Application Version

Sig[1].Value=2.4.39.0

Sig[2].Name=Application Timestamp

Sig[2].Value=5cee4f90

Sig[3].Name=Fault Module Name

Sig[3].Value=php_xdebug.dll

Sig[4].Name=Fault Module Version

Sig[4].Value=2.8.0.3

Sig[5].Name=Fault Module Timestamp

Sig[5].Value=5d39da6b

Sig[6].Name=Exception Code

Sig[6].Value=c0000005

Sig[7].Name=Exception Offset

Sig[7].Value=000000000002a59e

DynamicSig[1].Name=OS Version

DynamicSig[1].Value=10.0.18362.2.0.0.256.48

DynamicSig[2].Name=Locale ID

DynamicSig[2].Value=2057

DynamicSig[22].Name=Additional Information 1

DynamicSig[22].Value=8078

DynamicSig[23].Name=Additional Information 2

DynamicSig[23].Value=8078acc0259e4b49b8fc7c5cd4128b47

DynamicSig[24].Name=Additional Information 3

DynamicSig[24].Value=22c8

DynamicSig[25].Name=Additional Information 4

DynamicSig[25].Value=22c87e8f90a751ea73bb261e70d5373b

UI[2]=C:\xampp\apache\bin\httpd.exe

LoadedModule[0]=C:\xampp\apache\bin\httpd.exe

LoadedModule[1]=C:\WINDOWS\SYSTEM32\ntdll.dll

LoadedModule[2]=C:\WINDOWS\System32\KERNEL32.DLL

LoadedModule[3]=C:\WINDOWS\System32\KERNELBASE.dll

LoadedModule[4]=C:\WINDOWS\System32\ucrtbase.dll

LoadedModule[5]=C:\xampp\apache\bin\libapr-1.dll

LoadedModule[6]=C:\xampp\apache\bin\libhttpd.dll

LoadedModule[7]=C:\xampp\apache\bin\libaprutil-1.dll

LoadedModule[8]=C:\WINDOWS\SYSTEM32\VCRUNTIME140.dll

LoadedModule[9]=C:\WINDOWS\System32\ADVAPI32.dll

LoadedModule[10]=C:\WINDOWS\System32\msvcrt.dll

LoadedModule[11]=C:\WINDOWS\System32\sechost.dll

LoadedModule[12]=C:\WINDOWS\System32\RPCRT4.dll

LoadedModule[13]=C:\WINDOWS\System32\WS2_32.dll

LoadedModule[14]=C:\xampp\apache\bin\libapriconv-1.dll

LoadedModule[15]=C:\xampp\apache\bin\pcre.dll

LoadedModule[16]=C:\WINDOWS\SYSTEM32\CRYPTBASE.DLL

LoadedModule[17]=C:\WINDOWS\System32\bcryptPrimitives.dll

LoadedModule[18]=C:\WINDOWS\System32\SHELL32.dll

LoadedModule[19]=C:\WINDOWS\SYSTEM32\MSWSOCK.dll

LoadedModule[20]=C:\WINDOWS\System32\cfgmgr32.dll

LoadedModule[21]=C:\WINDOWS\System32\shcore.dll

LoadedModule[22]=C:\WINDOWS\System32\combase.dll

LoadedModule[23]=C:\WINDOWS\System32\windows.storage.dll

LoadedModule[24]=C:\WINDOWS\System32\msvcp_win.dll

LoadedModule[25]=C:\WINDOWS\System32\profapi.dll

LoadedModule[26]=C:\WINDOWS\System32\powrprof.dll

LoadedModule[27]=C:\WINDOWS\System32\UMPDC.dll

LoadedModule[28]=C:\WINDOWS\System32\shlwapi.dll

LoadedModule[29]=C:\WINDOWS\System32\GDI32.dll

LoadedModule[30]=C:\WINDOWS\System32\win32u.dll

LoadedModule[31]=C:\WINDOWS\System32\gdi32full.dll

LoadedModule[32]=C:\WINDOWS\System32\USER32.dll

LoadedModule[33]=C:\WINDOWS\System32\kernel.appcore.dll

LoadedModule[34]=C:\WINDOWS\System32\cryptsp.dll

LoadedModule[35]=C:\WINDOWS\System32\IMM32.DLL

LoadedModule[36]=C:\WINDOWS\system32\rsaenh.dll

LoadedModule[37]=C:\WINDOWS\System32\bcrypt.dll

LoadedModule[38]=C:\xampp\apache\bin\libssl-1_1-x64.dll

LoadedModule[39]=C:\xampp\apache\bin\libcrypto-1_1-x64.dll

LoadedModule[40]=C:\xampp\apache\modules\mod_access_compat.so

LoadedModule[41]=C:\xampp\apache\modules\mod_actions.so

LoadedModule[42]=C:\xampp\apache\modules\mod_alias.so

LoadedModule[43]=C:\xampp\apache\modules\mod_allowmethods.so

LoadedModule[44]=C:\xampp\apache\modules\mod_asis.so

LoadedModule[45]=C:\xampp\apache\modules\mod_auth_basic.so

LoadedModule[46]=C:\xampp\apache\modules\mod_authn_core.so

LoadedModule[47]=C:\xampp\apache\modules\mod_authn_file.so

LoadedModule[48]=C:\xampp\apache\modules\mod_authz_core.so

LoadedModule[49]=C:\xampp\apache\modules\mod_authz_groupfile.so

LoadedModule[50]=C:\xampp\apache\modules\mod_authz_host.so

LoadedModule[51]=C:\xampp\apache\modules\mod_authz_user.so

LoadedModule[52]=C:\xampp\apache\modules\mod_autoindex.so

LoadedModule[53]=C:\xampp\apache\modules\mod_cgi.so

LoadedModule[54]=C:\xampp\apache\modules\mod_dav_lock.so

LoadedModule[55]=C:\xampp\apache\modules\mod_dav.so

LoadedModule[56]=C:\xampp\apache\modules\mod_dir.so

LoadedModule[57]=C:\xampp\apache\modules\mod_env.so

LoadedModule[58]=C:\xampp\apache\modules\mod_headers.so

LoadedModule[59]=C:\xampp\apache\modules\mod_include.so

LoadedModule[60]=C:\xampp\apache\modules\mod_info.so

LoadedModule[61]=C:\xampp\apache\modules\mod_isapi.so

LoadedModule[62]=C:\xampp\apache\modules\mod_log_config.so

LoadedModule[63]=C:\xampp\apache\modules\mod_cache_disk.so

LoadedModule[64]=C:\xampp\apache\modules\mod_cache.so

LoadedModule[65]=C:\xampp\apache\modules\mod_mime.so

LoadedModule[66]=C:\xampp\apache\modules\mod_negotiation.so

LoadedModule[67]=C:\xampp\apache\modules\mod_proxy.so

LoadedModule[68]=C:\xampp\apache\modules\mod_proxy_ajp.so

LoadedModule[69]=C:\xampp\apache\modules\mod_rewrite.so

LoadedModule[70]=C:\xampp\apache\modules\mod_setenvif.so

LoadedModule[71]=C:\xampp\apache\modules\mod_socache_shmcb.so

LoadedModule[72]=C:\xampp\apache\modules\mod_ssl.so

LoadedModule[73]=C:\xampp\apache\modules\mod_status.so

LoadedModule[74]=C:\xampp\apache\modules\mod_version.so

LoadedModule[75]=C:\xampp\php\php7ts.dll

LoadedModule[76]=C:\WINDOWS\System32\ole32.dll

LoadedModule[77]=C:\WINDOWS\SYSTEM32\IPHLPAPI.DLL

LoadedModule[78]=C:\WINDOWS\SYSTEM32\DNSAPI.dll

LoadedModule[79]=C:\WINDOWS\System32\NSI.dll

LoadedModule[80]=C:\xampp\php\libpq.dll

LoadedModule[81]=C:\WINDOWS\SYSTEM32\Secur32.dll

LoadedModule[82]=C:\WINDOWS\SYSTEM32\SSPICLI.DLL

LoadedModule[83]=C:\xampp\php\php7apache2_4.dll

LoadedModule[84]=C:\xampp\php\ext\php_xdebug.dll

LoadedModule[85]=C:\xampp\php\ext\php_bz2.dll

LoadedModule[86]=C:\xampp\php\ext\php_curl.dll

LoadedModule[87]=C:\WINDOWS\System32\WLDAP32.dll

LoadedModule[88]=C:\WINDOWS\System32\Normaliz.dll

LoadedModule[89]=C:\xampp\apache\bin\libssh2.dll

LoadedModule[90]=C:\xampp\apache\bin\nghttp2.dll

LoadedModule[91]=C:\xampp\php\ext\php_fileinfo.dll

LoadedModule[92]=C:\xampp\php\ext\php_gd2.dll

LoadedModule[93]=C:\xampp\php\ext\php_gettext.dll

LoadedModule[94]=C:\xampp\php\ext\php_gmp.dll

LoadedModule[95]=C:\xampp\php\ext\php_mbstring.dll

LoadedModule[96]=C:\xampp\php\ext\php_exif.dll

LoadedModule[97]=C:\xampp\php\ext\php_mysqli.dll

LoadedModule[98]=C:\xampp\php\ext\php_odbc.dll

LoadedModule[99]=C:\WINDOWS\SYSTEM32\ODBC32.dll

LoadedModule[100]=C:\WINDOWS\System32\CRYPT32.dll

LoadedModule[101]=C:\WINDOWS\System32\MSASN1.dll

LoadedModule[102]=C:\WINDOWS\SYSTEM32\DPAPI.DLL

LoadedModule[103]=C:\xampp\php\ext\php_pdo_mysql.dll

LoadedModule[104]=C:\xampp\php\ext\php_pdo_sqlite.dll

LoadedModule[105]=C:\xampp\php\ext\php_sockets.dll

LoadedModule[106]=C:\xampp\php\ext\php_phalcon.dll

LoadedModule[107]=C:\xampp\php\ext\php_memcache.dll

LoadedModule[108]=C:\xampp\php\ext\php_apcu.dll

LoadedModule[109]=C:\xampp\php\ext\php_apc.dll

LoadedModule[110]=C:\xampp\php\ext\php_openssl.dll

LoadedModule[111]=C:\xampp\php\ext\php_ftp.dll

State[0].Key=Transport.DoneStage1

State[0].Value=1

OsInfo[0].Key=vermaj

OsInfo[0].Value=10

OsInfo[1].Key=vermin

OsInfo[1].Value=0

OsInfo[2].Key=verbld

OsInfo[2].Value=18362

OsInfo[3].Key=ubr

OsInfo[3].Value=295

OsInfo[4].Key=versp

OsInfo[4].Value=0

OsInfo[5].Key=arch

OsInfo[5].Value=9

OsInfo[6].Key=lcid

OsInfo[6].Value=1037

OsInfo[7].Key=geoid

OsInfo[7].Value=117

OsInfo[8].Key=sku

OsInfo[8].Value=48

OsInfo[9].Key=domain

OsInfo[9].Value=0

OsInfo[10].Key=prodsuite

OsInfo[10].Value=256

OsInfo[11].Key=ntprodtype

OsInfo[11].Value=1

OsInfo[12].Key=platid

OsInfo[12].Value=10

OsInfo[13].Key=sr

OsInfo[13].Value=0

OsInfo[14].Key=tmsi

OsInfo[14].Value=48462

OsInfo[15].Key=osinsty

OsInfo[15].Value=1

OsInfo[16].Key=iever

OsInfo[16].Value=11.295.18362.0-11.0.140

OsInfo[17].Key=portos

OsInfo[17].Value=0

OsInfo[18].Key=ram

OsInfo[18].Value=8067

OsInfo[19].Key=svolsz

OsInfo[19].Value=118

OsInfo[20].Key=wimbt

OsInfo[20].Value=0

OsInfo[21].Key=blddt

OsInfo[21].Value=190318

OsInfo[22].Key=bldtm

OsInfo[22].Value=1202

OsInfo[23].Key=bldbrch

OsInfo[23].Value=19h1_release

OsInfo[24].Key=bldchk

OsInfo[24].Value=0

OsInfo[25].Key=wpvermaj

OsInfo[25].Value=0

OsInfo[26].Key=wpvermin

OsInfo[26].Value=0

OsInfo[27].Key=wpbuildmaj

OsInfo[27].Value=0

OsInfo[28].Key=wpbuildmin

OsInfo[28].Value=0

OsInfo[29].Key=osver

OsInfo[29].Value=10.0.18362.295.amd64fre.19h1_release.190318-1202

OsInfo[30].Key=buildflightid

OsInfo[30].Value=013F5E85-5E65-4D34-840E-2032641694C0.1

OsInfo[31].Key=edition

OsInfo[31].Value=Professional

OsInfo[32].Key=ring

OsInfo[32].Value=Retail

OsInfo[33].Key=expid

OsInfo[33].Value=RS:3BF2

OsInfo[34].Key=containerid

OsInfo[35].Key=containertype

OsInfo[36].Key=edu

OsInfo[36].Value=0

FriendlyEventName=Stopped working

ConsentKey=APPCRASH

AppName=Apache HTTP Server

AppPath=C:\xampp\apache\bin\httpd.exe

NsPartner=windows

NsGroup=windows8

ApplicationIdentity=7953A2C848C9F933E1F1D03F895CFDEE

MetadataHash=1368444834
Report.wer (19,284 bytes)   

StudioMaX

2019-08-26 14:28

reporter  

_usr_sbin_php-fpm7.3.0.zip (3,676,405 bytes)

StudioMaX

2019-08-26 14:28

reporter   ~0005125

I've got the same issue on the newly installed vagrant box with Ubuntu 16.04.
Phalcon: 3.4.4
PHP: 7.3.8
Xdebug: 2.7.2 (also tested the current master branch with 3.0.0-dev)
Everything works without any issues in case Xdebug enabled in php.ini but XDEBUG_SESSION was not provided to the server.
Earlier I used Phalcon 3.3.1 with PHP 7.1.x and there were no such problems.

StudioMaX

2019-08-26 14:43

reporter   ~0005126

Remote debugging log with this script
```
<?php

$test = 5;
$config = new \Phalcon\Config(['test' => 45]); // <--- After that line debugger stop working
$yyy = $config->get('test');
var_dump($yyy);
```
remote_debug_log.log (41,506 bytes)   
[31754] Log opened at 2019-08-26 14:36:37
[31754] I: Connecting to configured address/port: 192.168.56.1:9000.
[31754] I: Connected to client. :-)
[31754] -> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" fileuri="file:///var/www/sws/public/phalc.php" language="PHP" xdebug:language_version="7.3.8-1+ubuntu16.04.1+deb.sury.org+1" protocol_version="1.0" appid="31754" idekey="XDEBUG_ECLIPSE"><engine version="2.7.2"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[https://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2019 by Derick Rethans]]></copyright></init>
[31754]
[31754] <- feature_set -i 1 -n show_hidden -v 1
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="1" feature="show_hidden" success="1"></response>
[31754]
[31754] <- feature_set -i 2 -n max_depth -v 1
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="2" feature="max_depth" success="1"></response>
[31754]
[31754] <- feature_set -i 3 -n max_children -v 100
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="3" feature="max_children" success="1"></response>
[31754]
[31754] <- feature_set -i 4 -n extended_properties -v 1
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="4" feature="extended_properties" success="1"></response>
[31754]
[31754] <- feature_set -i 5 -n resolved_breakpoints -v 1
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="5" status="starting" reason="ok"><error code="3"><message><![CDATA[invalid or missing options]]></message></error></response>
[31754]
[31754] <- feature_set -i 6 -n notify_ok -v 1
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="6" feature="notify_ok" success="1"></response>
[31754]
[31754] <- stdout -i 7 -c 1
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stdout" transaction_id="7" success="1"></response>
[31754]
[31754] <- status -i 8
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="status" transaction_id="8" status="starting" reason="ok"></response>
[31754]
[31754] <- step_into -i 9
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="9" status="break" reason="ok"><xdebug:message filename="file:///var/www/sws/public/phalc.php" lineno="3"></xdebug:message></response>
[31754]
[31754] <- eval -i 10 -- aXNzZXQoJF9TRVJWRVJbJ1BIUF9JREVfQ09ORklHJ10p
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="eval" transaction_id="10"><property type="bool"><![CDATA[0]]></property></response>
[31754]
[31754] <- eval -i 11 -- aXNzZXQoJF9TRVJWRVJbJ1NFUlZFUl9OQU1FJ10p
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="eval" transaction_id="11"><property type="bool"><![CDATA[1]]></property></response>
[31754]
[31754] <- eval -i 12 -- KHN0cmluZykoJF9TRVJWRVJbJ1NFUlZFUl9OQU1FJ10p
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="eval" transaction_id="12"><property type="string" size="8" encoding="base64"><![CDATA[c3dzLnRlc3Q=]]></property></response>
[31754]
[31754] <- eval -i 13 -- KHN0cmluZykoJF9TRVJWRVJbJ1NFUlZFUl9QT1JUJ10p
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="eval" transaction_id="13"><property type="string" size="3" encoding="base64"><![CDATA[NDQz]]></property></response>
[31754]
[31754] <- eval -i 14 -- KHN0cmluZykoJF9TRVJWRVJbJ1JFUVVFU1RfVVJJJ10p
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="eval" transaction_id="14"><property type="string" size="10" encoding="base64"><![CDATA[L3BoYWxjLnBocA==]]></property></response>
[31754]
[31754] <- breakpoint_set -i 26 -t line -f file:///var/www/sws/public/test.php -n 3
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="26" id="317540012"></response>
[31754]
[31754] <- breakpoint_set -i 118 -t line -f file:///var/www/sws/public/phalc.php -n 3
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="118" id="317540104"></response>
[31754]
[31754] <- stack_get -i 197
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="197"><stack where="{main}" level="0" type="file" filename="file:///var/www/sws/public/phalc.php" lineno="3"></stack></response>
[31754]
[31754] <- stack_get -i 198
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="198"><stack where="{main}" level="0" type="file" filename="file:///var/www/sws/public/phalc.php" lineno="3"></stack></response>
[31754]
[31754] <- context_names -i 199
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="199"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>
[31754]
[31754] <- context_get -i 200 -d 0 -c 0
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="200" context="0"><property name="$config" fullname="$config" type="uninitialized"></property><property name="$test" fullname="$test" type="uninitialized"></property><property name="$yyy" fullname="$yyy" type="uninitialized"></property></response>
[31754]
[31754] <- context_get -i 201 -d 0 -c 1
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="201" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="1" numchildren="9" page="0" pagesize="100"><property name="cookieconsent_dismissed" fullname="$_COOKIE[&quot;cookieconsent_dismissed&quot;]" type="string" size="3" encoding="base64"><![CDATA[eWVz]]></property><property name="4b8df8cbfc4cf90de9cf239543bed900" fullname="$_COOKIE[&quot;4b8df8cbfc4cf90de9cf239543bed900&quot;]" type="string" size="26" encoding="base64"><![CDATA[bWJrNHE0bGFxMnBvZDM1czI0bW1rYTBoMDQ=]]></property><property name="__stripe_mid" fullname="$_COOKIE[&quot;__stripe_mid&quot;]" type="string" size="36" encoding="base64"><![CDATA[ZWY2M2UyYzctNzc3Mi00MjhmLThkN2ItNTc2MjA0N2IyMjU0]]></property><property name="PHPSESSID" fullname="$_COOKIE[&quot;PHPSESSID&quot;]" type="string" size="26" encoding="base64"><![CDATA[Z2lxaThtaTMyMjVtbnRmbHFycWxjMXUwbm8=]]></property><property name="tracks_filter" fullname="$_COOKIE[&quot;tracks_filter&quot;]" type="string" size="95" encoding="base64"><![CDATA[eyJwcm9fZmlsdGVyIjoic3RvY2stbXVzaWMiLCJsaW1pdCI6IjUwIiwidmlld190eXBlIjoic3RhbmRhcmQiLCJvcmRlcl9zZXR0aW5nIjoib3JkZXItcmFuZG9tIn0=]]></property><property name="ShockCart" fullname="$_COOKIE[&quot;ShockCart&quot;]" type="string" size="32" encoding="base64"><![CDATA[NzM2OGE0MDgzYjY2ODA4MmRhNjZhZmU0OGE2NWRmYzM=]]></property><property name="adminer_version" fullname="$_COOKIE[&quot;adminer_version&quot;]" type="string" size="5" encoding="base64"><![CDATA[NC43LjI=]]></property><property name="advanced_search_form" fullname="$_COOKIE[&quot;advanced_search_form&quot;]" type="string" size="308" encoding="base64"><![CDATA[eyJzb3VuZHMiOltdLCJwcm9fZmlsdGVyIjoic3RvY2stbXVzaWMiLCJwYWdlIjoxLCJsaW1pdCI6IjUwIiwidmlld190eXBlIjoic3RhbmRhcmQiLCJvcmRlcl9zZXR0aW5nIjoib3JkZXItcmVsZXZhbmNlIiwicGhyYXNlIjoiIiwiY2xhc3NpY2FsX2ZpbHRlciI6IjIiLCJ0ZW1wb19icG1fbWluIjoiIiwidGVtcG9fYnBtX21heCI6IiIsImxlbmd0aF9taW4iOiIiLCJsZW5ndGhfbWF4IjoiIiwiaGRfZmlsdGVyIjoiMCIsInNlYXJjaF9zb3VyY2UiOlsiMSIsIjIiLCIzIl0sInBocmFzZV9hbGwiOiIiLCJwaHJhc2VfdGl0bGUiOiJ0ZXN0In0=]]></property><property name="XDEBUG_SESSION" fullname="$_COOKIE[&quot;XDEBUG_SESSION&quot;]" type="string" size="14" encoding="base64"><![CDATA[WERFQlVHX0VDTElQU0U=]]></property></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="72" page="0" pagesize="100"><property name="USER" fullname="$_SERVER[&quot;USER&quot;]" type="string" size="7" encoding="base64"><![CDATA[dmFncmFudA==]]></property><property name="HOME" fullname="$_SERVER[&quot;HOME&quot;]" type="string" size="13" encoding="base64"><![CDATA[L2hvbWUvdmFncmFudA==]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&quot;SCRIPT_NAME&quot;]" type="string" size="10" encoding="base64"><![CDATA[L3BoYWxjLnBocA==]]></property><property name="REQUEST_URI" fullname="$_SERVER[&quot;REQUEST_URI&quot;]" type="string" size="10" encoding="base64"><![CDATA[L3BoYWxjLnBocA==]]></property><property name="QUERY_STRING" fullname="$_SERVER[&quot;QUERY_STRING&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&quot;REQUEST_METHOD&quot;]" type="string" size="3" encoding="base64"><![CDATA[R0VU]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&quot;SERVER_PROTOCOL&quot;]" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&quot;GATEWAY_INTERFACE&quot;]" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&quot;REMOTE_PORT&quot;]" type="string" size="5" encoding="base64"><![CDATA[NDc1MTY=]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&quot;SCRIPT_FILENAME&quot;]" type="string" size="29" encoding="base64"><![CDATA[L3Zhci93d3cvc3dzL3B1YmxpYy9waGFsYy5waHA=]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&quot;SERVER_ADMIN&quot;]" type="string" size="18" encoding="base64"><![CDATA[W25vIGFkZHJlc3MgZ2l2ZW5d]]></property><property name="CONTEXT_DOCUMENT_ROOT" fullname="$_SERVER[&quot;CONTEXT_DOCUMENT_ROOT&quot;]" type="string" size="19" encoding="base64"><![CDATA[L3Zhci93d3cvc3dzL3B1YmxpYw==]]></property><property name="CONTEXT_PREFIX" fullname="$_SERVER[&quot;CONTEXT_PREFIX&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_SCHEME" fullname="$_SERVER[&quot;REQUEST_SCHEME&quot;]" type="string" size="5" encoding="base64"><![CDATA[aHR0cHM=]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&quot;DOCUMENT_ROOT&quot;]" type="string" size="19" encoding="base64"><![CDATA[L3Zhci93d3cvc3dzL3B1YmxpYw==]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&quot;REMOTE_ADDR&quot;]" type="string" size="12" encoding="base64"><![CDATA[MTkyLjE2OC41Ni4x]]></property><property name="SERVER_PORT" fullname="$_SERVER[&quot;SERVER_PORT&quot;]" type="string" size="3" encoding="base64"><![CDATA[NDQz]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&quot;SERVER_ADDR&quot;]" type="string" size="14" encoding="base64"><![CDATA[MTkyLjE2OC41Ni4xMDE=]]></property><property name="SERVER_NAME" fullname="$_SERVER[&quot;SERVER_NAME&quot;]" type="string" size="8" encoding="base64"><![CDATA[c3dzLnRlc3Q=]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&quot;SERVER_SOFTWARE&quot;]" type="string" size="22" encoding="base64"><![CDATA[QXBhY2hlLzIuNC40MSAoVWJ1bnR1KQ==]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&quot;SERVER_SIGNATURE&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="PATH" fullname="$_SERVER[&quot;PATH&quot;]" type="string" size="60" encoding="base64"><![CDATA[L3Vzci9sb2NhbC9zYmluOi91c3IvbG9jYWwvYmluOi91c3Ivc2JpbjovdXNyL2Jpbjovc2JpbjovYmlu]]></property><property name="HTTP_COOKIE" fullname="$_SERVER[&quot;HTTP_COOKIE&quot;]" type="string" size="973" encoding="base64"><![CDATA[Y29va2llY29uc2VudF9kaXNtaXNzZWQ9eWVzOyA0YjhkZjhjYmZjNGNmOTBkZTljZjIzOTU0M2JlZDkwMD1tYms0cTRsYXEycG9kMzVzMjRtbWthMGgwNDsgX19zdHJpcGVfbWlkPWVmNjNlMmM3LTc3NzItNDI4Zi04ZDdiLTU3NjIwNDdiMjI1NDsgUEhQU0VTU0lEPWdpcWk4bWkzMjI1bW50ZmxxcnFsYzF1MG5vOyB0cmFja3MuZmlsdGVyPSU3QiUyMnByb19maWx0ZXIlMjIlM0ElMjJzdG9jay1tdXNpYyUyMiUyQyUyMmxpbWl0JTIyJTNBJTIyNTAlMjIlMkMlMjJ2aWV3X3R5cGUlMjIlM0ElMjJzdGFuZGFyZCUyMiUyQyUyMm9yZGVyX3NldHRpbmclMjIlM0ElMjJvcmRlci1yYW5kb20lMjIlN0Q7IFNob2NrQ2FydD03MzY4YTQwODNiNjY4MDgyZGE2NmFmZTQ4YTY1ZGZjMzsgYWRtaW5lcl92ZXJzaW9uPTQuNy4yOyBhZHZhbmNlZC5zZWFyY2guZm9ybT0lN0IlMjJzb3VuZHMlMjIlM0ElNUIlNUQlMkMlMjJwcm9fZmlsdGVyJTIyJTNBJTIyc3RvY2stbXVzaWMlMjIlMkMlMjJwYWdlJTIyJTNBMSUyQyUyMmxpbWl0JTIyJTNBJTIyNTAlMjIlMkMlMjJ2aWV3X3R5cGUlMjIlM0ElMjJzdGFuZGFyZCUyMiUyQyUyMm9yZGVyX3NldHRpbmclMjIlM0ElMjJvcmRlci1yZWxldmFuY2UlMjIlMkMlMjJwaHJhc2UlMjIlM0ElMjIlMjIlMkMlMjJjbGFzc2ljYWxfZmlsdGVyJTIyJTNBJTIyMiUyMiUyQyUyMnRlbXBvX2JwbV9taW4lMjIlM0ElMjIlMjIlMkMlMjJ0ZW1wb19icG1fbWF4JTIyJTNBJTIyJTIyJTJDJTIybGVuZ3RoX21pbiUyMiUzQSUyMiUyMiUyQyUyMmxlbmd0aF9tYXglMjIlM0ElMjIlMjIlMkMlMjJoZF9maWx0ZXIlMjIlM0ElMjIwJTIyJTJDJTIyc2VhcmNoX3NvdXJjZSUyMiUzQSU1QiUyMjElMjIlMkMlMjIyJTIyJTJDJTIyMyUyMiU1RCUyQyUyMnBocmFzZV9hbGwlMjIlM0ElMjIlMjIlMkMlMjJwaHJhc2VfdGl0bGUlMjIlM0ElMjJ0ZXN0JTIyJTdEOyBYREVCVUdfU0VTU0lPTj1YREVCVUdfRUNMSVBTRQ==]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&quot;HTTP_ACCEPT_LANGUAGE&quot;]" type="string" size="35" encoding="base64"><![CDATA[cnUtUlUscnU7cT0wLjksZW4tVVM7cT0wLjgsZW47cT0wLjc=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&quot;HTTP_ACCEPT_ENCODING&quot;]" type="string" size="17" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZSwgYnI=]]></property><property name="HTTP_SEC_FETCH_SITE" fullname="$_SERVER[&quot;HTTP_SEC_FETCH_SITE&quot;]" type="string" size="4" encoding="base64"><![CDATA[bm9uZQ==]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&quot;HTTP_ACCEPT&quot;]" type="string" size="118" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksaW1hZ2Uvd2VicCxpbWFnZS9hcG5nLCovKjtxPTAuOCxhcHBsaWNhdGlvbi9zaWduZWQtZXhjaGFuZ2U7dj1iMw==]]></property><property name="HTTP_SEC_FETCH_USER" fullname="$_SERVER[&quot;HTTP_SEC_FETCH_USER&quot;]" type="string" size="2" encoding="base64"><![CDATA[PzE=]]></property><property name="HTTP_SEC_FETCH_MODE" fullname="$_SERVER[&quot;HTTP_SEC_FETCH_MODE&quot;]" type="string" size="8" encoding="base64"><![CDATA[bmF2aWdhdGU=]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&quot;HTTP_USER_AGENT&quot;]" type="string" size="115" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgMTAuMDsgV2luNjQ7IHg2NCkgQXBwbGVXZWJLaXQvNTM3LjM2IChLSFRNTCwgbGlrZSBHZWNrbykgQ2hyb21lLzc2LjAuMzgwOS4xMDAgU2FmYXJpLzUzNy4zNg==]]></property><property name="HTTP_UPGRADE_INSECURE_REQUESTS" fullname="$_SERVER[&quot;HTTP_UPGRADE_INSECURE_REQUESTS&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="HTTP_CACHE_CONTROL" fullname="$_SERVER[&quot;HTTP_CACHE_CONTROL&quot;]" type="string" size="8" encoding="base64"><![CDATA[bm8tY2FjaGU=]]></property><property name="HTTP_PRAGMA" fullname="$_SERVER[&quot;HTTP_PRAGMA&quot;]" type="string" size="8" encoding="base64"><![CDATA[bm8tY2FjaGU=]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&quot;HTTP_CONNECTION&quot;]" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="HTTP_HOST" fullname="$_SERVER[&quot;HTTP_HOST&quot;]" type="string" size="8" encoding="base64"><![CDATA[c3dzLnRlc3Q=]]></property><property name="proxy-nokeepalive" fullname="$_SERVER[&quot;proxy-nokeepalive&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="SSL_SESSION_RESUMED" fullname="$_SERVER[&quot;SSL_SESSION_RESUMED&quot;]" type="string" size="7" encoding="base64"><![CDATA[SW5pdGlhbA==]]></property><property name="SSL_SERVER_A_SIG" fullname="$_SERVER[&quot;SSL_SERVER_A_SIG&quot;]" type="string" size="23" encoding="base64"><![CDATA[c2hhMjU2V2l0aFJTQUVuY3J5cHRpb24=]]></property><property name="SSL_SERVER_A_KEY" fullname="$_SERVER[&quot;SSL_SERVER_A_KEY&quot;]" type="string" size="13" encoding="base64"><![CDATA[cnNhRW5jcnlwdGlvbg==]]></property><property name="SSL_SERVER_I_DN" fullname="$_SERVER[&quot;SSL_SERVER_I_DN&quot;]" type="string" size="86" encoding="base64"><![CDATA[Q049bWtjZXJ0IFBBVkVMLVBDXFxQYXZlbEBQYXZlbC1QQyxPVT1QQVZFTC1QQ1xcUGF2ZWxAUGF2ZWwtUEMsTz1ta2NlcnQgZGV2ZWxvcG1lbnQgQ0E=]]></property><property name="SSL_SERVER_S_DN" fullname="$_SERVER[&quot;SSL_SERVER_S_DN&quot;]" type="string" size="60" encoding="base64"><![CDATA[T1U9UEFWRUwtUENcXFBhdmVsQFBhdmVsLVBDLE89bWtjZXJ0IGRldmVsb3BtZW50IGNlcnRpZmljYXRl]]></property><property name="SSL_SERVER_V_END" fullname="$_SERVER[&quot;SSL_SERVER_V_END&quot;]" type="string" size="24" encoding="base64"><![CDATA[QXVnIDExIDA2OjM3OjE1IDIwMjggR01U]]></property><property name="SSL_SERVER_V_START" fullname="$_SERVER[&quot;SSL_SERVER_V_START&quot;]" type="string" size="24" encoding="base64"><![CDATA[QXVnIDExIDA2OjM3OjE1IDIwMTggR01U]]></property><property name="SSL_SERVER_M_SERIAL" fullname="$_SERVER[&quot;SSL_SERVER_M_SERIAL&quot;]" type="string" size="32" encoding="base64"><![CDATA[OTQ4QkQ3OTI0Mzc5QjQ1NkM0Nzg1NzkzNTZCMjZGQzc=]]></property><property name="SSL_SERVER_M_VERSION" fullname="$_SERVER[&quot;SSL_SERVER_M_VERSION&quot;]" type="string" size="1" encoding="base64"><![CDATA[Mw==]]></property><property name="SSL_CLIENT_VERIFY" fullname="$_SERVER[&quot;SSL_CLIENT_VERIFY&quot;]" type="string" size="4" encoding="base64"><![CDATA[Tk9ORQ==]]></property><property name="SSL_CIPHER_ALGKEYSIZE" fullname="$_SERVER[&quot;SSL_CIPHER_ALGKEYSIZE&quot;]" type="string" size="3" encoding="base64"><![CDATA[MjU2]]></property><property name="SSL_CIPHER_USEKEYSIZE" fullname="$_SERVER[&quot;SSL_CIPHER_USEKEYSIZE&quot;]" type="string" size="3" encoding="base64"><![CDATA[MjU2]]></property><property name="SSL_CIPHER_EXPORT" fullname="$_SERVER[&quot;SSL_CIPHER_EXPORT&quot;]" type="string" size="5" encoding="base64"><![CDATA[ZmFsc2U=]]></property><property name="SSL_CIPHER" fullname="$_SERVER[&quot;SSL_CIPHER&quot;]" type="string" size="27" encoding="base64"><![CDATA[RUNESEUtUlNBLUFFUzI1Ni1HQ00tU0hBMzg0]]></property><property name="SSL_COMPRESS_METHOD" fullname="$_SERVER[&quot;SSL_COMPRESS_METHOD&quot;]" type="string" size="4" encoding="base64"><![CDATA[TlVMTA==]]></property><property name="SSL_SECURE_RENEG" fullname="$_SERVER[&quot;SSL_SECURE_RENEG&quot;]" type="string" size="4" encoding="base64"><![CDATA[dHJ1ZQ==]]></property><property name="SSL_PROTOCOL" fullname="$_SERVER[&quot;SSL_PROTOCOL&quot;]" type="string" size="7" encoding="base64"><![CDATA[VExTdjEuMg==]]></property><property name="SSL_VERSION_LIBRARY" fullname="$_SERVER[&quot;SSL_VERSION_LIBRARY&quot;]" type="string" size="14" encoding="base64"><![CDATA[T3BlblNTTC8xLjEuMWM=]]></property><property name="SSL_VERSION_INTERFACE" fullname="$_SERVER[&quot;SSL_VERSION_INTERFACE&quot;]" type="string" size="14" encoding="base64"><![CDATA[bW9kX3NzbC8yLjQuNDE=]]></property><property name="SSL_SERVER_SAN_DNS_1" fullname="$_SERVER[&quot;SSL_SERVER_SAN_DNS_1&quot;]" type="string" size="10" encoding="base64"><![CDATA[Ki5zd3MudGVzdA==]]></property><property name="SSL_SERVER_SAN_DNS_0" fullname="$_SERVER[&quot;SSL_SERVER_SAN_DNS_0&quot;]" type="string" size="8" encoding="base64"><![CDATA[c3dzLnRlc3Q=]]></property><property name="SSL_SERVER_I_DN_CN" fullname="$_SERVER[&quot;SSL_SERVER_I_DN_CN&quot;]" type="string" size="31" encoding="base64"><![CDATA[bWtjZXJ0IFBBVkVMLVBDXFxQYXZlbEBQYXZlbC1QQw==]]></property><property name="SSL_SERVER_I_DN_OU" fullname="$_SERVER[&quot;SSL_SERVER_I_DN_OU&quot;]" type="string" size="24" encoding="base64"><![CDATA[UEFWRUwtUENcXFBhdmVsQFBhdmVsLVBD]]></property><property name="SSL_SERVER_I_DN_O" fullname="$_SERVER[&quot;SSL_SERVER_I_DN_O&quot;]" type="string" size="21" encoding="base64"><![CDATA[bWtjZXJ0IGRldmVsb3BtZW50IENB]]></property><property name="SSL_SERVER_S_DN_OU" fullname="$_SERVER[&quot;SSL_SERVER_S_DN_OU&quot;]" type="string" size="24" encoding="base64"><![CDATA[UEFWRUwtUENcXFBhdmVsQFBhdmVsLVBD]]></property><property name="SSL_SERVER_S_DN_O" fullname="$_SERVER[&quot;SSL_SERVER_S_DN_O&quot;]" type="string" size="30" encoding="base64"><![CDATA[bWtjZXJ0IGRldmVsb3BtZW50IGNlcnRpZmljYXRl]]></property><property name="SSL_TLS_SNI" fullname="$_SERVER[&quot;SSL_TLS_SNI&quot;]" type="string" size="8" encoding="base64"><![CDATA[c3dzLnRlc3Q=]]></property><property name="HTTPS" fullname="$_SERVER[&quot;HTTPS&quot;]" type="string" size="2" encoding="base64"><![CDATA[b24=]]></property><property name="SITE_ENV" fullname="$_SERVER[&quot;SITE_ENV&quot;]" type="string" size="3" encoding="base64"><![CDATA[ZGV2]]></property><property name="proto" fullname="$_SERVER[&quot;proto&quot;]" type="string" size="5" encoding="base64"><![CDATA[aHR0cHM=]]></property><property name="SERVER_ENV" fullname="$_SERVER[&quot;SERVER_ENV&quot;]" type="string" size="3" encoding="base64"><![CDATA[ZGV2]]></property><property name="HTTP_AUTHORIZATION" fullname="$_SERVER[&quot;HTTP_AUTHORIZATION&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="FCGI_ROLE" fullname="$_SERVER[&quot;FCGI_ROLE&quot;]" type="string" size="9" encoding="base64"><![CDATA[UkVTUE9OREVS]]></property><property name="PHP_SELF" fullname="$_SERVER[&quot;PHP_SELF&quot;]" type="string" size="10" encoding="base64"><![CDATA[L3BoYWxjLnBocA==]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&quot;REQUEST_TIME_FLOAT&quot;]" type="float"><![CDATA[1566830197.131]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&quot;REQUEST_TIME&quot;]" type="int"><![CDATA[1566830197]]></property></property></response>
[31754]
[31754] <- context_get -i 202 -d 0 -c 2
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="202" context="2"></response>
[31754]
[31754] <- step_over -i 203
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_over" transaction_id="203" status="break" reason="ok"><xdebug:message filename="file:///var/www/sws/public/phalc.php" lineno="4"></xdebug:message></response>
[31754]
[31754] <- stack_get -i 204
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="204"><stack where="{main}" level="0" type="file" filename="file:///var/www/sws/public/phalc.php" lineno="4"></stack></response>
[31754]
[31754] <- context_get -i 205 -d 0 -c 0
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="205" context="0"><property name="$config" fullname="$config" type="uninitialized"></property><property name="$test" fullname="$test" type="int"><![CDATA[5]]></property><property name="$yyy" fullname="$yyy" type="uninitialized"></property></response>
[31754]
[31754] <- context_get -i 206 -d 0 -c 1
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="206" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="1" numchildren="9" page="0" pagesize="100"><property name="cookieconsent_dismissed" fullname="$_COOKIE[&quot;cookieconsent_dismissed&quot;]" type="string" size="3" encoding="base64"><![CDATA[eWVz]]></property><property name="4b8df8cbfc4cf90de9cf239543bed900" fullname="$_COOKIE[&quot;4b8df8cbfc4cf90de9cf239543bed900&quot;]" type="string" size="26" encoding="base64"><![CDATA[bWJrNHE0bGFxMnBvZDM1czI0bW1rYTBoMDQ=]]></property><property name="__stripe_mid" fullname="$_COOKIE[&quot;__stripe_mid&quot;]" type="string" size="36" encoding="base64"><![CDATA[ZWY2M2UyYzctNzc3Mi00MjhmLThkN2ItNTc2MjA0N2IyMjU0]]></property><property name="PHPSESSID" fullname="$_COOKIE[&quot;PHPSESSID&quot;]" type="string" size="26" encoding="base64"><![CDATA[Z2lxaThtaTMyMjVtbnRmbHFycWxjMXUwbm8=]]></property><property name="tracks_filter" fullname="$_COOKIE[&quot;tracks_filter&quot;]" type="string" size="95" encoding="base64"><![CDATA[eyJwcm9fZmlsdGVyIjoic3RvY2stbXVzaWMiLCJsaW1pdCI6IjUwIiwidmlld190eXBlIjoic3RhbmRhcmQiLCJvcmRlcl9zZXR0aW5nIjoib3JkZXItcmFuZG9tIn0=]]></property><property name="ShockCart" fullname="$_COOKIE[&quot;ShockCart&quot;]" type="string" size="32" encoding="base64"><![CDATA[NzM2OGE0MDgzYjY2ODA4MmRhNjZhZmU0OGE2NWRmYzM=]]></property><property name="adminer_version" fullname="$_COOKIE[&quot;adminer_version&quot;]" type="string" size="5" encoding="base64"><![CDATA[NC43LjI=]]></property><property name="advanced_search_form" fullname="$_COOKIE[&quot;advanced_search_form&quot;]" type="string" size="308" encoding="base64"><![CDATA[eyJzb3VuZHMiOltdLCJwcm9fZmlsdGVyIjoic3RvY2stbXVzaWMiLCJwYWdlIjoxLCJsaW1pdCI6IjUwIiwidmlld190eXBlIjoic3RhbmRhcmQiLCJvcmRlcl9zZXR0aW5nIjoib3JkZXItcmVsZXZhbmNlIiwicGhyYXNlIjoiIiwiY2xhc3NpY2FsX2ZpbHRlciI6IjIiLCJ0ZW1wb19icG1fbWluIjoiIiwidGVtcG9fYnBtX21heCI6IiIsImxlbmd0aF9taW4iOiIiLCJsZW5ndGhfbWF4IjoiIiwiaGRfZmlsdGVyIjoiMCIsInNlYXJjaF9zb3VyY2UiOlsiMSIsIjIiLCIzIl0sInBocmFzZV9hbGwiOiIiLCJwaHJhc2VfdGl0bGUiOiJ0ZXN0In0=]]></property><property name="XDEBUG_SESSION" fullname="$_COOKIE[&quot;XDEBUG_SESSION&quot;]" type="string" size="14" encoding="base64"><![CDATA[WERFQlVHX0VDTElQU0U=]]></property></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="72" page="0" pagesize="100"><property name="USER" fullname="$_SERVER[&quot;USER&quot;]" type="string" size="7" encoding="base64"><![CDATA[dmFncmFudA==]]></property><property name="HOME" fullname="$_SERVER[&quot;HOME&quot;]" type="string" size="13" encoding="base64"><![CDATA[L2hvbWUvdmFncmFudA==]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&quot;SCRIPT_NAME&quot;]" type="string" size="10" encoding="base64"><![CDATA[L3BoYWxjLnBocA==]]></property><property name="REQUEST_URI" fullname="$_SERVER[&quot;REQUEST_URI&quot;]" type="string" size="10" encoding="base64"><![CDATA[L3BoYWxjLnBocA==]]></property><property name="QUERY_STRING" fullname="$_SERVER[&quot;QUERY_STRING&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&quot;REQUEST_METHOD&quot;]" type="string" size="3" encoding="base64"><![CDATA[R0VU]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&quot;SERVER_PROTOCOL&quot;]" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&quot;GATEWAY_INTERFACE&quot;]" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&quot;REMOTE_PORT&quot;]" type="string" size="5" encoding="base64"><![CDATA[NDc1MTY=]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&quot;SCRIPT_FILENAME&quot;]" type="string" size="29" encoding="base64"><![CDATA[L3Zhci93d3cvc3dzL3B1YmxpYy9waGFsYy5waHA=]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&quot;SERVER_ADMIN&quot;]" type="string" size="18" encoding="base64"><![CDATA[W25vIGFkZHJlc3MgZ2l2ZW5d]]></property><property name="CONTEXT_DOCUMENT_ROOT" fullname="$_SERVER[&quot;CONTEXT_DOCUMENT_ROOT&quot;]" type="string" size="19" encoding="base64"><![CDATA[L3Zhci93d3cvc3dzL3B1YmxpYw==]]></property><property name="CONTEXT_PREFIX" fullname="$_SERVER[&quot;CONTEXT_PREFIX&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_SCHEME" fullname="$_SERVER[&quot;REQUEST_SCHEME&quot;]" type="string" size="5" encoding="base64"><![CDATA[aHR0cHM=]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&quot;DOCUMENT_ROOT&quot;]" type="string" size="19" encoding="base64"><![CDATA[L3Zhci93d3cvc3dzL3B1YmxpYw==]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&quot;REMOTE_ADDR&quot;]" type="string" size="12" encoding="base64"><![CDATA[MTkyLjE2OC41Ni4x]]></property><property name="SERVER_PORT" fullname="$_SERVER[&quot;SERVER_PORT&quot;]" type="string" size="3" encoding="base64"><![CDATA[NDQz]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&quot;SERVER_ADDR&quot;]" type="string" size="14" encoding="base64"><![CDATA[MTkyLjE2OC41Ni4xMDE=]]></property><property name="SERVER_NAME" fullname="$_SERVER[&quot;SERVER_NAME&quot;]" type="string" size="8" encoding="base64"><![CDATA[c3dzLnRlc3Q=]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&quot;SERVER_SOFTWARE&quot;]" type="string" size="22" encoding="base64"><![CDATA[QXBhY2hlLzIuNC40MSAoVWJ1bnR1KQ==]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&quot;SERVER_SIGNATURE&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="PATH" fullname="$_SERVER[&quot;PATH&quot;]" type="string" size="60" encoding="base64"><![CDATA[L3Vzci9sb2NhbC9zYmluOi91c3IvbG9jYWwvYmluOi91c3Ivc2JpbjovdXNyL2Jpbjovc2JpbjovYmlu]]></property><property name="HTTP_COOKIE" fullname="$_SERVER[&quot;HTTP_COOKIE&quot;]" type="string" size="973" encoding="base64"><![CDATA[Y29va2llY29uc2VudF9kaXNtaXNzZWQ9eWVzOyA0YjhkZjhjYmZjNGNmOTBkZTljZjIzOTU0M2JlZDkwMD1tYms0cTRsYXEycG9kMzVzMjRtbWthMGgwNDsgX19zdHJpcGVfbWlkPWVmNjNlMmM3LTc3NzItNDI4Zi04ZDdiLTU3NjIwNDdiMjI1NDsgUEhQU0VTU0lEPWdpcWk4bWkzMjI1bW50ZmxxcnFsYzF1MG5vOyB0cmFja3MuZmlsdGVyPSU3QiUyMnByb19maWx0ZXIlMjIlM0ElMjJzdG9jay1tdXNpYyUyMiUyQyUyMmxpbWl0JTIyJTNBJTIyNTAlMjIlMkMlMjJ2aWV3X3R5cGUlMjIlM0ElMjJzdGFuZGFyZCUyMiUyQyUyMm9yZGVyX3NldHRpbmclMjIlM0ElMjJvcmRlci1yYW5kb20lMjIlN0Q7IFNob2NrQ2FydD03MzY4YTQwODNiNjY4MDgyZGE2NmFmZTQ4YTY1ZGZjMzsgYWRtaW5lcl92ZXJzaW9uPTQuNy4yOyBhZHZhbmNlZC5zZWFyY2guZm9ybT0lN0IlMjJzb3VuZHMlMjIlM0ElNUIlNUQlMkMlMjJwcm9fZmlsdGVyJTIyJTNBJTIyc3RvY2stbXVzaWMlMjIlMkMlMjJwYWdlJTIyJTNBMSUyQyUyMmxpbWl0JTIyJTNBJTIyNTAlMjIlMkMlMjJ2aWV3X3R5cGUlMjIlM0ElMjJzdGFuZGFyZCUyMiUyQyUyMm9yZGVyX3NldHRpbmclMjIlM0ElMjJvcmRlci1yZWxldmFuY2UlMjIlMkMlMjJwaHJhc2UlMjIlM0ElMjIlMjIlMkMlMjJjbGFzc2ljYWxfZmlsdGVyJTIyJTNBJTIyMiUyMiUyQyUyMnRlbXBvX2JwbV9taW4lMjIlM0ElMjIlMjIlMkMlMjJ0ZW1wb19icG1fbWF4JTIyJTNBJTIyJTIyJTJDJTIybGVuZ3RoX21pbiUyMiUzQSUyMiUyMiUyQyUyMmxlbmd0aF9tYXglMjIlM0ElMjIlMjIlMkMlMjJoZF9maWx0ZXIlMjIlM0ElMjIwJTIyJTJDJTIyc2VhcmNoX3NvdXJjZSUyMiUzQSU1QiUyMjElMjIlMkMlMjIyJTIyJTJDJTIyMyUyMiU1RCUyQyUyMnBocmFzZV9hbGwlMjIlM0ElMjIlMjIlMkMlMjJwaHJhc2VfdGl0bGUlMjIlM0ElMjJ0ZXN0JTIyJTdEOyBYREVCVUdfU0VTU0lPTj1YREVCVUdfRUNMSVBTRQ==]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&quot;HTTP_ACCEPT_LANGUAGE&quot;]" type="string" size="35" encoding="base64"><![CDATA[cnUtUlUscnU7cT0wLjksZW4tVVM7cT0wLjgsZW47cT0wLjc=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&quot;HTTP_ACCEPT_ENCODING&quot;]" type="string" size="17" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZSwgYnI=]]></property><property name="HTTP_SEC_FETCH_SITE" fullname="$_SERVER[&quot;HTTP_SEC_FETCH_SITE&quot;]" type="string" size="4" encoding="base64"><![CDATA[bm9uZQ==]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&quot;HTTP_ACCEPT&quot;]" type="string" size="118" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksaW1hZ2Uvd2VicCxpbWFnZS9hcG5nLCovKjtxPTAuOCxhcHBsaWNhdGlvbi9zaWduZWQtZXhjaGFuZ2U7dj1iMw==]]></property><property name="HTTP_SEC_FETCH_USER" fullname="$_SERVER[&quot;HTTP_SEC_FETCH_USER&quot;]" type="string" size="2" encoding="base64"><![CDATA[PzE=]]></property><property name="HTTP_SEC_FETCH_MODE" fullname="$_SERVER[&quot;HTTP_SEC_FETCH_MODE&quot;]" type="string" size="8" encoding="base64"><![CDATA[bmF2aWdhdGU=]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&quot;HTTP_USER_AGENT&quot;]" type="string" size="115" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgMTAuMDsgV2luNjQ7IHg2NCkgQXBwbGVXZWJLaXQvNTM3LjM2IChLSFRNTCwgbGlrZSBHZWNrbykgQ2hyb21lLzc2LjAuMzgwOS4xMDAgU2FmYXJpLzUzNy4zNg==]]></property><property name="HTTP_UPGRADE_INSECURE_REQUESTS" fullname="$_SERVER[&quot;HTTP_UPGRADE_INSECURE_REQUESTS&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="HTTP_CACHE_CONTROL" fullname="$_SERVER[&quot;HTTP_CACHE_CONTROL&quot;]" type="string" size="8" encoding="base64"><![CDATA[bm8tY2FjaGU=]]></property><property name="HTTP_PRAGMA" fullname="$_SERVER[&quot;HTTP_PRAGMA&quot;]" type="string" size="8" encoding="base64"><![CDATA[bm8tY2FjaGU=]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&quot;HTTP_CONNECTION&quot;]" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="HTTP_HOST" fullname="$_SERVER[&quot;HTTP_HOST&quot;]" type="string" size="8" encoding="base64"><![CDATA[c3dzLnRlc3Q=]]></property><property name="proxy-nokeepalive" fullname="$_SERVER[&quot;proxy-nokeepalive&quot;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="SSL_SESSION_RESUMED" fullname="$_SERVER[&quot;SSL_SESSION_RESUMED&quot;]" type="string" size="7" encoding="base64"><![CDATA[SW5pdGlhbA==]]></property><property name="SSL_SERVER_A_SIG" fullname="$_SERVER[&quot;SSL_SERVER_A_SIG&quot;]" type="string" size="23" encoding="base64"><![CDATA[c2hhMjU2V2l0aFJTQUVuY3J5cHRpb24=]]></property><property name="SSL_SERVER_A_KEY" fullname="$_SERVER[&quot;SSL_SERVER_A_KEY&quot;]" type="string" size="13" encoding="base64"><![CDATA[cnNhRW5jcnlwdGlvbg==]]></property><property name="SSL_SERVER_I_DN" fullname="$_SERVER[&quot;SSL_SERVER_I_DN&quot;]" type="string" size="86" encoding="base64"><![CDATA[Q049bWtjZXJ0IFBBVkVMLVBDXFxQYXZlbEBQYXZlbC1QQyxPVT1QQVZFTC1QQ1xcUGF2ZWxAUGF2ZWwtUEMsTz1ta2NlcnQgZGV2ZWxvcG1lbnQgQ0E=]]></property><property name="SSL_SERVER_S_DN" fullname="$_SERVER[&quot;SSL_SERVER_S_DN&quot;]" type="string" size="60" encoding="base64"><![CDATA[T1U9UEFWRUwtUENcXFBhdmVsQFBhdmVsLVBDLE89bWtjZXJ0IGRldmVsb3BtZW50IGNlcnRpZmljYXRl]]></property><property name="SSL_SERVER_V_END" fullname="$_SERVER[&quot;SSL_SERVER_V_END&quot;]" type="string" size="24" encoding="base64"><![CDATA[QXVnIDExIDA2OjM3OjE1IDIwMjggR01U]]></property><property name="SSL_SERVER_V_START" fullname="$_SERVER[&quot;SSL_SERVER_V_START&quot;]" type="string" size="24" encoding="base64"><![CDATA[QXVnIDExIDA2OjM3OjE1IDIwMTggR01U]]></property><property name="SSL_SERVER_M_SERIAL" fullname="$_SERVER[&quot;SSL_SERVER_M_SERIAL&quot;]" type="string" size="32" encoding="base64"><![CDATA[OTQ4QkQ3OTI0Mzc5QjQ1NkM0Nzg1NzkzNTZCMjZGQzc=]]></property><property name="SSL_SERVER_M_VERSION" fullname="$_SERVER[&quot;SSL_SERVER_M_VERSION&quot;]" type="string" size="1" encoding="base64"><![CDATA[Mw==]]></property><property name="SSL_CLIENT_VERIFY" fullname="$_SERVER[&quot;SSL_CLIENT_VERIFY&quot;]" type="string" size="4" encoding="base64"><![CDATA[Tk9ORQ==]]></property><property name="SSL_CIPHER_ALGKEYSIZE" fullname="$_SERVER[&quot;SSL_CIPHER_ALGKEYSIZE&quot;]" type="string" size="3" encoding="base64"><![CDATA[MjU2]]></property><property name="SSL_CIPHER_USEKEYSIZE" fullname="$_SERVER[&quot;SSL_CIPHER_USEKEYSIZE&quot;]" type="string" size="3" encoding="base64"><![CDATA[MjU2]]></property><property name="SSL_CIPHER_EXPORT" fullname="$_SERVER[&quot;SSL_CIPHER_EXPORT&quot;]" type="string" size="5" encoding="base64"><![CDATA[ZmFsc2U=]]></property><property name="SSL_CIPHER" fullname="$_SERVER[&quot;SSL_CIPHER&quot;]" type="string" size="27" encoding="base64"><![CDATA[RUNESEUtUlNBLUFFUzI1Ni1HQ00tU0hBMzg0]]></property><property name="SSL_COMPRESS_METHOD" fullname="$_SERVER[&quot;SSL_COMPRESS_METHOD&quot;]" type="string" size="4" encoding="base64"><![CDATA[TlVMTA==]]></property><property name="SSL_SECURE_RENEG" fullname="$_SERVER[&quot;SSL_SECURE_RENEG&quot;]" type="string" size="4" encoding="base64"><![CDATA[dHJ1ZQ==]]></property><property name="SSL_PROTOCOL" fullname="$_SERVER[&quot;SSL_PROTOCOL&quot;]" type="string" size="7" encoding="base64"><![CDATA[VExTdjEuMg==]]></property><property name="SSL_VERSION_LIBRARY" fullname="$_SERVER[&quot;SSL_VERSION_LIBRARY&quot;]" type="string" size="14" encoding="base64"><![CDATA[T3BlblNTTC8xLjEuMWM=]]></property><property name="SSL_VERSION_INTERFACE" fullname="$_SERVER[&quot;SSL_VERSION_INTERFACE&quot;]" type="string" size="14" encoding="base64"><![CDATA[bW9kX3NzbC8yLjQuNDE=]]></property><property name="SSL_SERVER_SAN_DNS_1" fullname="$_SERVER[&quot;SSL_SERVER_SAN_DNS_1&quot;]" type="string" size="10" encoding="base64"><![CDATA[Ki5zd3MudGVzdA==]]></property><property name="SSL_SERVER_SAN_DNS_0" fullname="$_SERVER[&quot;SSL_SERVER_SAN_DNS_0&quot;]" type="string" size="8" encoding="base64"><![CDATA[c3dzLnRlc3Q=]]></property><property name="SSL_SERVER_I_DN_CN" fullname="$_SERVER[&quot;SSL_SERVER_I_DN_CN&quot;]" type="string" size="31" encoding="base64"><![CDATA[bWtjZXJ0IFBBVkVMLVBDXFxQYXZlbEBQYXZlbC1QQw==]]></property><property name="SSL_SERVER_I_DN_OU" fullname="$_SERVER[&quot;SSL_SERVER_I_DN_OU&quot;]" type="string" size="24" encoding="base64"><![CDATA[UEFWRUwtUENcXFBhdmVsQFBhdmVsLVBD]]></property><property name="SSL_SERVER_I_DN_O" fullname="$_SERVER[&quot;SSL_SERVER_I_DN_O&quot;]" type="string" size="21" encoding="base64"><![CDATA[bWtjZXJ0IGRldmVsb3BtZW50IENB]]></property><property name="SSL_SERVER_S_DN_OU" fullname="$_SERVER[&quot;SSL_SERVER_S_DN_OU&quot;]" type="string" size="24" encoding="base64"><![CDATA[UEFWRUwtUENcXFBhdmVsQFBhdmVsLVBD]]></property><property name="SSL_SERVER_S_DN_O" fullname="$_SERVER[&quot;SSL_SERVER_S_DN_O&quot;]" type="string" size="30" encoding="base64"><![CDATA[bWtjZXJ0IGRldmVsb3BtZW50IGNlcnRpZmljYXRl]]></property><property name="SSL_TLS_SNI" fullname="$_SERVER[&quot;SSL_TLS_SNI&quot;]" type="string" size="8" encoding="base64"><![CDATA[c3dzLnRlc3Q=]]></property><property name="HTTPS" fullname="$_SERVER[&quot;HTTPS&quot;]" type="string" size="2" encoding="base64"><![CDATA[b24=]]></property><property name="SITE_ENV" fullname="$_SERVER[&quot;SITE_ENV&quot;]" type="string" size="3" encoding="base64"><![CDATA[ZGV2]]></property><property name="proto" fullname="$_SERVER[&quot;proto&quot;]" type="string" size="5" encoding="base64"><![CDATA[aHR0cHM=]]></property><property name="SERVER_ENV" fullname="$_SERVER[&quot;SERVER_ENV&quot;]" type="string" size="3" encoding="base64"><![CDATA[ZGV2]]></property><property name="HTTP_AUTHORIZATION" fullname="$_SERVER[&quot;HTTP_AUTHORIZATION&quot;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="FCGI_ROLE" fullname="$_SERVER[&quot;FCGI_ROLE&quot;]" type="string" size="9" encoding="base64"><![CDATA[UkVTUE9OREVS]]></property><property name="PHP_SELF" fullname="$_SERVER[&quot;PHP_SELF&quot;]" type="string" size="10" encoding="base64"><![CDATA[L3BoYWxjLnBocA==]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&quot;REQUEST_TIME_FLOAT&quot;]" type="float"><![CDATA[1566830197.131]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&quot;REQUEST_TIME&quot;]" type="int"><![CDATA[1566830197]]></property></property></response>
[31754]
[31754] <- context_get -i 207 -d 0 -c 2
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="207" context="2"></response>
[31754]
[31754] <- step_over -i 208
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_over" transaction_id="208" status="break" reason="ok"><xdebug:message filename="file:///var/www/sws/public/phalc.php" lineno="5"></xdebug:message></response>
[31754]
[31754] <- stack_get -i 209
[31754] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="209"><stack where="{main}" level="0" type="file" filename="file:///var/www/sws/public/phalc.php" lineno="5"></stack></response>
[31754]
[31754] <- context_get -i 210 -d 0 -c 0
remote_debug_log.log (41,506 bytes)   

derick

2019-08-26 18:06

administrator   ~0005127

I've tried to reproduce this, but I can't. @StudioMaX, can you share the Vagrant file?

StudioMaX

2019-08-27 08:08

reporter   ~0005128

You can test it here: https://github.com/StudioMaX/phalcon-xdebug
Just for your info:
- ssh keys are located in /ssh
- add `192.168.56.124 phalcon.test` to your hosts
- test script located in /var/www/public/phalcon.php, can be accessed from http://phalcon.test/phalcon.php
- Phalcon v3.4.4 was compiled from source, you can recompile it via `sudo compile-phalcon.sh`
- sometimes Apache doesn't shartup on boot so you need to run `sudo systemctl restart apache2`

derick

2019-08-27 17:03

administrator   ~0005129

I haven't tried yet, but is it possible to reproduce on the CLI as well? /cc @StudioMaX

StudioMaX

2019-08-27 17:36

reporter   ~0005130

Well, when I run the Symfony Console in my app, which uses the Phalcon dependency manager, there are no issues. It also works if xdebug is enabled, but I do not use step-by-step debugging. But when I use step-by-step debugging, moved onto line `$config = new \Phalcon\Config(['test' => 45]);` and press F8, then Apache shows the HTTP 503 error page and writes "AH00491: caught SIGTERM, shutting down" into error.log. I can reproduce this error all the time.
A few days ago I upgraded PhpStorm to 2019.2.1, maybe this is related somehow.

StudioMaX

2019-08-30 15:00

reporter   ~0005131

@derick are you able to reproduce this case?

StudioMaX

2019-09-02 16:53

reporter  

_usr_bin_php7.3.1000.crash (2,557,370 bytes)

StudioMaX

2019-09-02 16:53

reporter   ~0005132

Well, it also crashes in CLI when using step-by-step debugging at the same breakpoint:
`XDEBUG_CONFIG="idekey=PHPSTORM remote_autostart=1" PHP_IDE_CONFIG="serverName=phalcon_xdebug_cli" SITE_ENV="dev" php -dxdebug.remote_host=192.168.56.1 /var/www/public/phalcon.php`

derick

2019-09-16 15:33

administrator   ~0005140

I tried to reproduce this again, but still no luck. Beyond Vagrant not working (it says something about not being able to find the provider?), it works locally without a hitch. However, this is with that latest RC candidate of Xdebug. Perhaps you can try that?

StudioMaX

2019-09-16 17:07

reporter   ~0005142

Yes, this still occurs on 2.8.0beta2.
> Beyond Vagrant not working (it says something about not being able to find the provider?)
I use Windows as host and Ubuntu as guest in Virtualbox with Vagrant, maybe this is related somehow. But looks like the topic starter used native DLLs on Windows, so this is not related to Windows/Linux.

derick

2019-09-16 17:24

administrator   ~0005143

Could you provide something I can ssh into?

derick

2019-09-17 09:39

administrator   ~0005146

Hi there! I could successfully reproduce it with your Vagrant machine, and I know why I could reproduce it there, and not at home. At home I had compiled a beta of phalcon 4.0.0 (the master in git), and you were using 3.4.4. The 4 beta version handles data differently (or rather, *correctly*). I believe the bug is really in phalcon itself, but there is a workaround that I have that works around this. I'll have that committed later today (after it's gone through all the CI tests).

derick

2019-09-17 16:47

administrator   ~0005147

This is now fixed in GIT, for Xdebug 2.8.0beta3/RC1.

Issue History

Date Modified Username Field Change
2019-08-24 14:08 Lobzek New Issue
2019-08-24 14:08 Lobzek Tag Attached: phalcon
2019-08-24 14:08 Lobzek File Added: Report.wer
2019-08-26 14:28 StudioMaX File Added: _usr_sbin_php-fpm7.3.0.zip
2019-08-26 14:28 StudioMaX Note Added: 0005125
2019-08-26 14:43 StudioMaX File Added: remote_debug_log.log
2019-08-26 14:43 StudioMaX Note Added: 0005126
2019-08-26 18:06 derick Note Added: 0005127
2019-08-26 18:06 derick Assigned To => derick
2019-08-26 18:06 derick Status new => feedback
2019-08-27 08:08 StudioMaX Note Added: 0005128
2019-08-27 17:03 derick Note Added: 0005129
2019-08-27 17:36 StudioMaX Note Added: 0005130
2019-08-30 15:00 StudioMaX Note Added: 0005131
2019-09-02 16:53 StudioMaX File Added: _usr_bin_php7.3.1000.crash
2019-09-02 16:53 StudioMaX Note Added: 0005132
2019-09-16 15:33 derick Note Added: 0005140
2019-09-16 17:07 StudioMaX Note Added: 0005142
2019-09-16 17:24 derick Note Added: 0005143
2019-09-17 09:39 derick Note Added: 0005146
2019-09-17 16:47 derick Status feedback => closed
2019-09-17 16:47 derick Resolution open => fixed
2019-09-17 16:47 derick Fixed in Version => 2.8.0dev
2019-09-17 16:47 derick Note Added: 0005147
2019-10-31 10:44 derick Fixed in Version 2.8.0dev => 2.8.0